gtkmm: Gtk::RecentChooserMenu Class Reference

# Gtk::RecentChooserMenu Class Reference
[RecentFiles]

RecentChooserMenu is a widget suitable for displaying recently used files inside a menu. More...

Inherits Gtk::Menu, and Gtk::RecentChooser.

Collaboration diagram for Gtk::RecentChooserMenu:

[legend]

List of all members.

## Public Member Functions
virtual | ~RecentChooserMenu ()
GtkRecentChooserMenu* | gobj ()
| Provides access to the underlying C GtkObject.
const GtkRecentChooserMenu* | gobj () const
| Provides access to the underlying C GtkObject.
| RecentChooserMenu ()
| RecentChooserMenu (const Glib::RefPtr< RecentManager >& recent_manager)
void | set_show_numbers (bool show_numbers=true)
| Sets whether a number should be added to the items of menu.
bool | get_show_numbers () const
| Return value: `true` if numbers should be shown.
## Related Functions
(Note that these are not member functions.)
Gtk::RecentChooserMenu* | wrap (GtkRecentChooserMenu* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

RecentChooserMenu is a widget suitable for displaying recently used files inside a menu.

It can be used to set a sub-menu of a MenuItem using MenuItem::item_set_submenu(), or as the menu of a MenuToolButton.

Note that RecentChooserMenu does not have any methods of its own. Instead, you should use the functions that work on a RecentChooser.

Since gtkmm 2.10:

## Constructor & Destructor Documentation

virtual Gtk::RecentChooserMenu::~RecentChooserMenu | ( |  | ) | `[virtual]`

Gtk::RecentChooserMenu::RecentChooserMenu | ( |  | ) |

Gtk::RecentChooserMenu::RecentChooserMenu | ( | const Glib::RefPtr< RecentManager >& | recent_manager | ) | `[explicit]`

## Member Function Documentation

bool Gtk::RecentChooserMenu::get_show_numbers | ( |  | ) | const

Return value: `true` if numbers should be shown.

Returns:
  `true` if numbers should be shown.

Since gtkmm 2.10:

const GtkRecentChooserMenu* Gtk::RecentChooserMenu::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::Menu.

GtkRecentChooserMenu* Gtk::RecentChooserMenu::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::Menu.

void Gtk::RecentChooserMenu::set_show_numbers | ( | bool | show_numbers = `true` | ) |

Sets whether a number should be added to the items of menu.

The numbers are shown to provide a unique character for a mnemonic to be used inside ten menu item's label. Only the first the items get a number to avoid clashes.

Since gtkmm 2.10:

Parameters:

  | show_numbers | Whether to show numbers.

## Friends And Related Function Documentation

Gtk::RecentChooserMenu* wrap | ( | GtkRecentChooserMenu * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gtkmm/recentchoosermenu.h